{ config, lib, pkgs, ... }:

{
  home.packages = with pkgs; [
    xclip # access x clipboard from a console
    dmenu # menu for x window system
    nitrogen # wallpaper manager
  ];

  xsession = {
    enable = true;

    windowManager.xmonad = {
      enable = true;
      enableContribAndExtras = true;
      config = ./xmonad_config.hs;
      extraPackages = (hp: [
        hp.dbus
        hp.monad-logger
      ]);
    };

    initExtra = ''
      ${pkgs.nitrogen}/bin/nitrogen --restore &
    '';
  };

  services.flameshot = {
    enable = true;

    # See: https://github.com/flameshot-org/flameshot/blob/master/flameshot.example.ini
    settings = {
      General = {
        disabledTrayIcon = true;
        savePathFixed = true;
        showDesktopNotification = false;
        showSidePanelButton = true;
      };
    };
  };
}
